Skip to content
Start here

Delete dispatch namespace

client.workersForPlatforms.dispatch.namespaces.delete(stringdispatchNamespace, NamespaceDeleteParams { account_id } params, RequestOptionsoptions?): NamespaceDeleteResponse | null
DELETE/accounts/{account_id}/workers/dispatch/namespaces/{dispatch_namespace}

Delete a Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
dispatchNamespace: string

Name of the Workers for Platforms dispatch namespace.

params: NamespaceDeleteParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
NamespaceDeleteResponse = unknown

Delete dispatch namespace

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const namespace = await client.workersForPlatforms.dispatch.namespaces.delete(
  'my-dispatch-namespace',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(namespace);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}